Vector BLF: Vector::BLF::FlexRayV6Message Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::FlexRayV6Message Struct Referencefinal

FLEXRAY_MESSAGE. More...

`#include <FlexRayV6Message.h>`

Inheritance diagram for Vector::BLF::FlexRayV6Message:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | dir {}
| dir flag (tx, rx)
uint8_t | lowTime {}
| additional time field in simulation
uint32_t | fpgaTick {}
| timestamp generated from xModule
uint32_t | fpgaTickOverflow {}
| overflow counter of the timestamp
uint32_t | clientIndexFlexRayV6Message {}
| clientindex of send node
uint32_t | clusterTime {}
| relatvie clustertime, from 0 to cyclelength
uint16_t | frameId {}
| slot identifier
uint16_t | headerCrc {}
uint16_t | frameState {}
| V6 framestate.
uint8_t | length {}
| dlc of message
uint8_t | cycle {}
| current cycle
uint8_t | headerBitMask {}
| Bit0 = NMBit, Bit1 = SyncBit, Bit2 = Reserved.
uint8_t | reservedFlexRayV6Message1 {}
uint16_t | reservedFlexRayV6Message2 {}
std::array< uint8_t, 64 > | dataBytes {}
| array of databytes
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

FLEXRAY_MESSAGE.

FlexRay Message received or transmitted on a FlexRay channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::FlexRayV6Message::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::FlexRayV6Message::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::FlexRayV6Message::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::FlexRayV6Message::channel {}

application channel

Application channel

## ◆ clientIndexFlexRayV6Message

uint32_t Vector::BLF::FlexRayV6Message::clientIndexFlexRayV6Message {}

clientindex of send node

Client index of send node

## ◆ clusterTime

uint32_t Vector::BLF::FlexRayV6Message::clusterTime {}

relatvie clustertime, from 0 to cyclelength

Relatvie clustertime, from 0 to cyclelength

## ◆ cycle

uint8_t Vector::BLF::FlexRayV6Message::cycle {}

current cycle

Current cycle number

## ◆ dataBytes

std::array<uint8_t, 64> Vector::BLF::FlexRayV6Message::dataBytes {}

array of databytes

Payload

## ◆ dir

uint8_t Vector::BLF::FlexRayV6Message::dir {}

dir flag (tx, rx)

Direction Flags

- 0 = Rx
- 1 = Tx
- 2 = Tx Request
- 3 and 4 are for internal use only.

## ◆ fpgaTick

uint32_t Vector::BLF::FlexRayV6Message::fpgaTick {}

timestamp generated from xModule

Timestamp generated from xModule

## ◆ fpgaTickOverflow

uint32_t Vector::BLF::FlexRayV6Message::fpgaTickOverflow {}

overflow counter of the timestamp

Overflow counter of the timestamp

## ◆ frameId

uint16_t Vector::BLF::FlexRayV6Message::frameId {}

slot identifier

slot identifier

## ◆ frameState

uint16_t Vector::BLF::FlexRayV6Message::frameState {}

V6 framestate.

V6 framestate:

- 0 Payload preample indicator bit
- 1 Sync. frame indicator
- 2 Reserved bit
- 3 Null frame indicator
- 4 Startup frame indicator
- 5-7 Frame state format mask (see below)

Bit 5-7 meaning:

- 0 (0x00) Motorola V.6
- 1 (0x20) reserved
- 2 (0x40) BusDoctor
- 3 (0x60) reserved
- 4 (0x80) FlexCard Cyclone
- 5 (0xA0) reserved
- 6 (0xC0) reserved
- 7 (0xE0) reserved

## ◆ headerBitMask

uint8_t Vector::BLF::FlexRayV6Message::headerBitMask {}

Bit0 = NMBit, Bit1 = SyncBit, Bit2 = Reserved.

- Bit 0 = NMBit
- Bit 1 = SyncBit
- Bit 2 = Reserved

## ◆ headerCrc

uint16_t Vector::BLF::FlexRayV6Message::headerCrc {}

CRC of the frame header

## ◆ length

uint8_t Vector::BLF::FlexRayV6Message::length {}

dlc of message

Payload length

## ◆ lowTime

uint8_t Vector::BLF::FlexRayV6Message::lowTime {}

additional time field in simulation

Additional time field in simulation

## ◆ reservedFlexRayV6Message1

uint8_t Vector::BLF::FlexRayV6Message::reservedFlexRayV6Message1 {}

reserved

## ◆ reservedFlexRayV6Message2

uint16_t Vector::BLF::FlexRayV6Message::reservedFlexRayV6Message2 {}

reserved

The documentation for this struct was generated from the following files:

- FlexRayV6Message.h
- FlexRayV6Message.cpp